Create Queue Aggregation
curl --request POST \
--url https://api.duvo.ai/v2/queues/{queue_id}/aggregations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"definition": {
"name": "<string>",
"measures": [
{
"name": "<string>",
"path": "<string>"
}
],
"dimensions": [
{
"name": "<string>",
"path": "<string>"
}
],
"filters": [
{
"path": "<string>",
"value": "<string>"
}
],
"order": [
{
"field": "<string>"
}
],
"caseFilters": {
"createdAtFrom": "2023-11-07T05:31:56Z",
"createdAtTo": "2023-11-07T05:31:56Z",
"statuses": [],
"priorities": [],
"labelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"limit": 250
},
"maximum_stale_age_seconds": 302400
}
'import requests
url = "https://api.duvo.ai/v2/queues/{queue_id}/aggregations"
payload = {
"definition": {
"name": "<string>",
"measures": [
{
"name": "<string>",
"path": "<string>"
}
],
"dimensions": [
{
"name": "<string>",
"path": "<string>"
}
],
"filters": [
{
"path": "<string>",
"value": "<string>"
}
],
"order": [{ "field": "<string>" }],
"caseFilters": {
"createdAtFrom": "2023-11-07T05:31:56Z",
"createdAtTo": "2023-11-07T05:31:56Z",
"statuses": [],
"priorities": [],
"labelIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"limit": 250
},
"maximum_stale_age_seconds": 302400
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
definition: {
name: '<string>',
measures: [{name: '<string>', path: '<string>'}],
dimensions: [{name: '<string>', path: '<string>'}],
filters: [{path: '<string>', value: '<string>'}],
order: [{field: '<string>'}],
caseFilters: {
createdAtFrom: '2023-11-07T05:31:56Z',
createdAtTo: '2023-11-07T05:31:56Z',
statuses: [],
priorities: [],
labelIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
},
limit: 250
},
maximum_stale_age_seconds: 302400
})
};
fetch('https://api.duvo.ai/v2/queues/{queue_id}/aggregations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_family_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_version": 0,
"definition": {
"name": "<string>",
"measures": [
{
"name": "<string>",
"operation": "count",
"path": "<string>"
}
],
"dimensions": [
{
"name": "<string>",
"path": "<string>"
}
],
"timeDimension": {
"name": "<string>",
"path": "<string>",
"granularity": "hour"
},
"filters": [
{
"path": "<string>",
"operator": "equals",
"value": "<string>"
}
],
"order": [
{
"field": "<string>",
"direction": "asc"
}
],
"caseFilters": {
"createdAtFrom": "2023-11-07T05:31:56Z",
"createdAtTo": "2023-11-07T05:31:56Z",
"statuses": [
"pending"
],
"priorities": [
"none"
],
"labelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"limit": 250
},
"definition_hash": "<string>",
"maximum_stale_age_seconds": 0,
"created_at": "<string>",
"updated_at": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Queues
Create Queue Aggregation
Create an immutable aggregation definition on a queue.
POST
/
v2
/
queues
/
{queue_id}
/
aggregations
Create Queue Aggregation
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The queue's unique identifier
Body
application/json
Response
Default Response
Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Was this page helpful?